summaryrefslogtreecommitdiffstats
path: root/libraries/agg/agg.SlackBuild
diff options
context:
space:
mode:
author Menno Duursma <druiloor@zonnet.nl>2010-05-12 23:29:52 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:29:52 +0200
commit534a98b2aad643d3ae2e301b48d0150427b9a1af (patch)
tree081bf2b0302f038325c5b429d88ea146eb8fa4a6 /libraries/agg/agg.SlackBuild
parent0a184afde9741edc40e81d2fd459746f618ed17f (diff)
downloadslackbuilds-534a98b2aad643d3ae2e301b48d0150427b9a1af.tar.gz
slackbuilds-534a98b2aad643d3ae2e301b48d0150427b9a1af.tar.xz
libraries/agg: Added to 12.2 repository
Diffstat (limited to 'libraries/agg/agg.SlackBuild')
-rw-r--r--libraries/agg/agg.SlackBuild73
1 files changed, 73 insertions, 0 deletions
diff --git a/libraries/agg/agg.SlackBuild b/libraries/agg/agg.SlackBuild
new file mode 100644
index 0000000000..9dcfca019e
--- /dev/null
+++ b/libraries/agg/agg.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for Anti-Grain Geometry
+
+# Written by Menno Duursma <druiloor@zonnet.nl>
+
+# This program is free software. It comes without any warranty.
+# Granted WTFPLv2, as published by Sam Hocevar dec'04.
+# For details see http://sam.zoy.org/wtfpl/COPYING
+
+PRGNAM=agg
+VERSION=${VERSION:-2.5}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ -type d -exec chmod 0755 {} \; -o \
+ -type f -exec chmod u+rw,go+r-w,a-s {} \;
+
+sh ./autogen.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -type f | xargs file | grep -e "executable" -e "shared object" | \
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+# Note: there is around 2.5 MB worth of stuff in the examples subdir
+# If you need it, it's in the source :)
+cp -a \
+ install ChangeLog authors readme news copying \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz